package org.greenstone.gatherer.metadata;


import java.io.*;
import java.util.*;
import org.greenstone.gatherer.util.Utility;
import org.greenstone.gatherer.util.XMLTools;


/** This class is a static class that manages the profile.xml file */
public class ProfileXMLFileManager
{
    static private ProfileXMLFile profile_xml_file = null;


    static public void clearProfileXMLFile()
    {
	profile_xml_file = null;
    }


    static public void loadProfileXMLFile(File directory)
    {
	// Make sure the directory (metadata) exists
	if (directory.exists() == false) {
	    directory.mkdir();
	}

	File profile_xml_file_file = new File(directory, "profile.xml");
	if (!profile_xml_file_file.exists()) {
	    // Create a new (empty) profile.xml file in this directory...
	    XMLTools.writeXMLFile(profile_xml_file_file, Utility.parse("xml/profile.xml", true));
	}

	profile_xml_file = new ProfileXMLFile(profile_xml_file_file.getAbsolutePath());
    }


    static public String getMetadataElementFor(String metadata_element_name_full)
    {
	return profile_xml_file.getMetadataElementFor(metadata_element_name_full);
    }


    static public HashMap getMetadataMapping()
    {
	return profile_xml_file.getMetadataMapping();
    }


    static public void mapElement(String metadata_element_name_full, String target_metadata_element_name_full)
    {
	profile_xml_file.mapElement(metadata_element_name_full, target_metadata_element_name_full);
    }
}
